{% extends "base_new.html" %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'mahasiswa/css/style.css' %}">
<link rel="stylesheet" href="{% static 'mahasiswa/css/page__vacancy.css' %}">
{% endblock %}

{% block main %}
<div class="container page__container">
    <div class="row page__header mb-4">
        <div class="col">
            <h1 class="page__title">
                Daftar Lowongan Kerja
            </h1>
        </div>
    </div>
    <div class="row page__body">
        <div class="container">
            <div class="row statusbar__container mb-3">
               <div class="col">
                    Mendaftar <strong class="text-dark">8</strong> Lowongan
          </div>
            </div>
            <form class="row align-items-stretch filter__container mb-3">
                <div class="col">
                    <div class="input-group input h-100">
                        <div class="input-group-prepend input__prepend-icon">
                            <span class="input-group-text"><i class="icon icon-magnifier"></i></span>
                        </div>
                        <input id="searchbar" title="keyword" type="text" class="form-control">
                        <div class="input-group-append">
                            <button class="btn btn-default dropdown-toggle" type="button" data-toggle="dropdown"
                                    aria-haspopup="true" aria-expanded="false">Position
                            </button>
                            <div class="dropdown-menu">
                                <a class="dropdown-item" href="#">Position</a>
                                <a class="dropdown-item" href="#">Company</a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-auto">
                    <button type="submit" id="btn-submit" class="btn btn-primary btn-flat">
                        Search
                    </button>
                </div>
            </form>
            <div class="row vacancies__container">
                {% for vacancy in vacancies %}
                <div class="col-lg-4 col-12 vacancies__item">
                    <div class="container">

                        <a  href="{% url 'mahasiswa:vacancy_detail' vacancy.id %}" class="row vacancy__container">
                            <div class="col-auto vacancy__company-logo">
                                <img src="{% static 'mahasiswa/img/pp.png' %}" alt="company logo">
                            </div>
                            <div class="col vacancy__body pl-lg-0">
                                <div class="vacancy__title">
                                    {{ vacancy.position }}
                                </div>
                                <div class="vacancy__company">
                                    {{ vacancy.company.name }}
                                </div>
                                <div class="vacancy__location">
                                    {{ vacancy.location }}
                                </div>
                            </div>
                        </a>
                    </div>
                </div>
                {% endfor %}
            </div>
        </div>
    </div>
</div>
{% endblock %}